unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DXDraws, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    HeadList: TDXImageList;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  TmpItem: TPictureCollectionItem;
  I: Integer;
begin
  for I:=0 to 63 do
  begin
    TmpItem:=TPictureCollectionItem(HeadList.Items.Add);
    TmpItem.PictureCollection.LoadFromFile(Format('%s\%d.bmp', [Edit1.Text, I]));
  end;
  HeadList.Items.SaveToFile('f:\head.res');
end;

end.
